Bug 1411040 - If monitor goes to sleep it cannot wake.
Summary: If monitor goes to sleep it cannot wake.
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 19:23 UTC by Justin
Modified: 2019-01-09 12:54 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
lspci output (7.28 KB, text/plain)
2017-01-07 19:23 UTC, Justin
no flags Details
dmesg output (9.65 KB, text/plain)
2017-12-15 21:12 UTC, Côme David
no flags Details

Description Justin 2017-01-07 19:23:32 UTC
Created attachment 1238281 [details]
lspci output

Description of problem:
If screen goes blank I cannot get it to turn back on. This is from either a timeout (in power options blank screen after x time).  Or by closing the tablet folio.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Dont use tablet for timeout value in power options.
2. Close the folio/keyboard.

Actual results:
Screen goes black and cannot be resumed.  Have to power off the device and reboot.

Expected results:
Screen to come back on.

Additional info:
Not sure if I should even report this but it looks like I found an upstream bug similar to mine.  I am using a Latitude 7275 2-in-1 so not sure if it matters.
https://bugzilla.kernel.org/show_bug.cgi?id=100171

Comment 1 Justin 2017-01-09 16:36:12 UTC
Just an update but I tried switching to Rawhide and this issue persists.  A lot of other issues with this particular hardware were resolved by the newer kernel though.  However waking from sleep/monitor off is still broken.

Comment 2 Laura Abbott 2017-01-17 01:23:58 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Justin 2017-01-17 03:07:59 UTC
Still a problem.

Comment 4 Côme David 2017-12-15 21:12:51 UTC
Created attachment 1368687 [details]
dmesg output

Comment 5 Côme David 2017-12-15 21:14:59 UTC
I have the same problem with all kernels above 4.12.14. Please find attached the relevant part of dmesg output.


Note You need to log in before you can comment on or make changes to this bug.